%global momorel 2
%global md5sum_src0 b28a9840cde3c38d7c09716372fea257
%define pkgname xbitmaps

Summary: X.Org X11 application bitmaps
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: %{momorel}m
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/data/%{pkgname}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# NOTE: This dependency on xorg-x11-filesystem is required to work around
# a nasty upgrade problem when going from FC4->FC5 or monolithic to
# modular X.Org.  Bug #173384.
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

%description
X.Org X11 application bitmaps

%prep
%setup -q -n xbitmaps-%{version}

%build
# Build xbitmaps
%configure
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Upstream installs the bitmaps into /usr/include by default, however
# they are used both at compiletime via #include, as well as at runtime by
# other apps.  Being pedantically correct, it makes sense to install them
# into the FHS sanctioned /usr/share heirarchy instead for runtime arch
# independent data.  Then provide a symlink from /usr/include to the
# runtime dir for apps to link to.  Since this is too much overhead for
# a separate devel subpackage, I've added a virtual Provide above so this
# package provides both.  This should be fixed upstream IMHO to use
# /usr/share by default.
%if 0
{
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11
   mv $RPM_BUILD_ROOT%{_includedir}/X11/bitmaps $RPM_BUILD_ROOT%{_datadir}/X11/
   ln -sf ../../..%{_datadir}/X11/bitmaps $RPM_BUILD_ROOT%{_includedir}/X11/
}
%endif

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%if 0

%dir %{_datadir}/X11
%dir %{_datadir}/X11/bitmaps
%{_datadir}/X11/bitmaps/*
# Symlink for devel linking
%{_includedir}/X11/bitmaps

%else

%dir %{_includedir}/X11/bitmaps
%{_includedir}/X11/bitmaps/*
# Symlink for devel linking
%{_includedir}/X11/bitmaps

%endif

%{_libdir}/pkgconfig/xbitmaps.pc

%changelog
* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- Change Source URL
- To trunk

* Wed Mar  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1.2m)
- Source0 to %%NoSource

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1.2m)
- import to Momonga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated to xbitmaps 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated to xbitmaps 1.0.0 from X11R7 RC4.

* Wed Nov 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-4
- Updated dep to "Requires(pre): xorg-x11-filesystem >= 0.99.2-3" for new fix.
- Moved bitmap files back into the upstream default of _includedir (#173665).

* Mon Nov 21 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-1" to attempt to
  workaround bug( #173384).

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Clean up specfile.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated to xbitmaps 0.99.1 from X11R7 RC2

* Fri Aug 26 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
